%define upstream_name	 PPI
%define upstream_version 1.215

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Parse, Analyze and Manipulate Perl without perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/PPI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Inspector) >= 1.220.0
BuildRequires: perl(Clone) >= 0.300.0
BuildRequires: perl(Digest::MD5) >= 2.350.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Remove) >= 1.420.0
BuildRequires: perl(File::Spec) >= 0.840.0
BuildRequires: perl(IO::String) >= 1.70.0
BuildRequires: perl(List::MoreUtils) >= 0.160.0
BuildRequires: perl(List::Util) >= 1.200.0
BuildRequires: perl(Params::Util) >= 1.0.0
BuildRequires: perl(Storable) >= 2.170.0
BuildRequires: perl(Task::Weaken)
BuildRequires: perl(Test::More) >= 0.860.0
BuildRequires: perl(Test::NoWarnings) >= 0.84.0
BuildRequires: perl(Test::Object) >= 0.70.0
BuildRequires: perl(Test::SubCalls) >= 1.70.0
BuildArch:  noarch

%description
PPI is a Perl document parser.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes
find lib -name '*.pm' | xargs chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml README
%{perl_vendorlib}/PPI
%{perl_vendorlib}/PPI.pm
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.215.0-2.mga3
+ Revision: 371329
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 jquelin <jquelin> 1.215.0-1.mga1
+ Revision: 60791
- update to 1.215

* Sat Jan 22 2011 jquelin <jquelin> 1.213.0-1.mga1
+ Revision: 32291
- mageia rebuild
- imported package perl-PPI

